QGIS Application - Bug report #17650
segments_to_line function not respecting line orientation
2017-12-06 07:09 PM - Zoran Cugkovi¢

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Expressions

Affected QGIS version:2.18.4 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 25547
Description

I'm having inconsistent rendering when using segments_to_lines function. The idea is to produce shaded contour lines. The procedure
is as follows:

1. 1) explode lines "on-the-fly" using  segments_to_lines( $geometry)
2. 2) calculate azimuth for each line
azimuth(

end_point(geometry_n($geometry,@geometry_part_num)),
start_point(geometry_n($geometry,@geometry_part_num)))

This is what happens when the result is translated to line colours:
These two screen-shots were made while panning and zooming in/out. The contour lines were made with GDAL, which is expressly tuned
to respect line orientation (" Starting from version 1.7 the contour line-strings will be oriented consistently "). It seems that the routine
does not respect line orientation. Or, perhaps, the azimuth value is out of range (?)

The full code of my function:
color_hsl( 0,0,
scale_linear(
abs(
azimuthl
end_point(geometry_n($geometry, @geometry_part_num)),
start _po?l(geometry_n(ﬁ;geometry,@geomtry _part_num))

-3.141),
0,3.141 ,0,200))

History
#1 - 2017-12-06 08:34 PM - Zoran Cuékovié
- Status changed from Open to Closed

The problem was in colour ranges that | assigned to the result (in the scale_linear function).
All works fine, sorry about this !

#2 - 2017-12-07 11:14 AM - Giovanni Manghi
- Resolution set to invalid
